<!DOCTYPE html>
<html>

<head>
	{% if title %}
		<title>{{ title }} Page - Microblog</title>
	{% else %}
		<title>Welcome to Microblog</title>
	{% endif %}
</head>

<body>
	<div>Microblog:
		<a href={{ url_for('index') }}>Home</a>
		{% if current_user.is_anonymous %}
			<a href={{ url_for('login') }}>Login</a>
		{% else %}
			<a href={{ url_for('user', username=current_user.username) }}>Profile</a>
			<a href={{ url_for('logout') }}>Logout</a>
		{% endif %}

		
	</div>
	<hr>
	{% with messages = get_flashed_messages() %}
	{% if messages %}
	<ul>		
		{% for message in messages %}
			<li>{{ message }}</li>
		{% endfor %}
	</ul>
	{% endif %}
	{% endwith %}
	
	{% block content %}{% endblock %}
</body>
</html>
